summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFranc[e]sco2018-09-10 17:17:47 +0200
committerFranc[e]sco2018-09-10 17:17:47 +0200
commit53a7968a7a49aa4682ea12d6b3ffadb3c389c371 (patch)
treeff37ca56d609788a5ab4a1c659b76f2f1321d3e2
downloadaur-shmupmametgm-git.tar.gz
first commit
-rw-r--r--.SRCINFO15
-rw-r--r--.gitignore4
-rw-r--r--PKGBUILD28
3 files changed, 47 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e3b529d0152
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = shmupmametgm-git
+ pkgdesc = Customized MAME for the TGM series. Forked for extra output options and tooling.
+ pkgver = r79.5ac496e
+ pkgrel = 1
+ url = https://github.com/MaryHal/shmupmametgm
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ depends = sdl
+ depends = gconf
+ source = git+https://github.com/MaryHal/shmupmametgm.git
+ sha256sums = SKIP
+
+pkgname = shmupmametgm-git
+
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 00000000000..bd4da58c0b8
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+*.tar.xz
+/src
+/pkg
+/shmupmametgm
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c1242ec7b6e
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Franc[e]sco <lolisamurai@tfwno.gf>
+
+pkgname=shmupmametgm-git
+pkgver=r79.5ac496e
+pkgrel=1
+pkgdesc="Customized MAME for the TGM series. Forked for extra output options and tooling."
+arch=('x86_64')
+url="https://github.com/MaryHal/shmupmametgm"
+depends=('sdl' 'gconf')
+makedepends=('git')
+license=('GPL')
+source=("git+https://github.com/MaryHal/shmupmametgm.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/shmupmametgm"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd "$srcdir/shmupmametgm"
+ make SUBTARGET=tgm NOWERROR=1 || return 1
+}
+
+package() {
+ install -Dm755 "$srcdir/shmupmametgm/mametgm64" -t "$pkgdir/usr/bin/"
+}
+